// Avoid `console` errors in browsers that lack a console.
(function() {
    var method;
    var noop = function () {};
    var methods = [
        'assert', 'clear', 'count', 'debug', 'dir', 'dirxml', 'error',
        'exception', 'group', 'groupCollapsed', 'groupEnd', 'info', 'log',
        'markTimeline', 'profile', 'profileEnd', 'table', 'time', 'timeEnd',
        'timeline', 'timelineEnd', 'timeStamp', 'trace', 'warn'
    ];
    var length = methods.length;
    var console = (window.console = window.console || {});

    while (length--) {
        method = methods[length];

        // Only stub undefined methods.
        if (!console[method]) {
            console[method] = noop;
        }
    }
}());

// Place any jQuery/helper plugins in here.

(function ($) {
 Drupal.behaviors.yg_corporate = {
   attach: function (context, settings) {
          "use strict"; // Start of use strict

        $(document).ready(function(){

            $('.owl-carousel').once('CarouselBehavior').owlCarousel({
                loop:true,
                margin:30,
                responsiveClass:true,
                responsive:{
                    0:{
                        items:1,
                        nav:true
                    },
                    600:{
                        items:1,
                        nav:false
                    },
                    1000:{
                        items:3,
                        nav:true,
                        loop:false
                    }
                }
            })
            var menu = document.querySelector('.nav__list');
            var burger = document.querySelector('.burger');
            var doc = $(document);
            var l = $('.scrolly');
            var panel = $('.panel');
            var vh = $(window).height();

            var openMenu = function() {
              burger.classList.toggle('burger--active');
              menu.classList.toggle('nav__list--active');
            };

            // reveal content of first panel by default
            panel.eq(0).find('.panel__content').addClass('panel__content--active');

            var scrollFx = function() {
              var ds = doc.scrollTop();
              var of = vh / 4;
              
              // if the panel is in the viewport, reveal the content, if not, hide it.
              for (var i = 0; i < panel.length; i++) {
                if (panel.eq(i).offset().top < ds+of) {
                 panel
                   .eq(i)
                   .find('.panel__content')
                   .addClass('panel__content--active');
                } else {
                  panel
                    .eq(i)
                    .find('.panel__content')
                    .removeClass('panel__content--active')
                }
              }
            };

            var scrolly = function(e) {
              e.preventDefault();
              var target = this.hash;
              var $target = $(target);

              $('html, body').stop().animate({
                  'scrollTop': $target.offset().top
              }, 300, 'swing', function () {
                  window.location.hash = target;
              });
            }

            var init = function() {
              burger.addEventListener('click', openMenu, false);
              window.addEventListener('scroll', scrollFx, false);
              window.addEventListener('load', scrollFx, false);
              $('a[href^="#"]').on('click',scrolly);
            };
            init();

        });


        

        // doc.on('ready', init);

}}})(jQuery, Drupal);// End of use strict